This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434709 - mono-extras is required by mono-core, hardly making it extras
mono-extras is required by mono-core, hardly making it extras
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-02-24 15:01 EST by Jeremy Katz
Modified: 2009-09-15 03:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4.2-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 03:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-02-24 15:01:20 EST
mono-extras ( mono(System.Configuration.Install) ) is required by mono-core --
this hardly makes it extras :-)
Comment 1 Bug Zapper 2008-05-14 01:37:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Paul F. Johnson 2008-10-20 08:20:24 EDT
Mono is a strange and kind of wibbly wobbly mistress which may (or may not) decide that the space time continuum is something which needs to be observed or not.

I don't try to understand the nature of such beasts, but do offer this consolation

1. It won't happen
2. It won't matter
3. When you mix water and flour together you get an ikky sort of paste
4. When you apply (3) to your average fast food burger, it gives it taste
5. Rinse and repeat

This message has been brought to you by a slightly strange scoucer sitting at a computer in Bolton wondering if his students are going to bother working this afternoon ;-)
Comment 3 Bug Zapper 2009-06-09 19:37:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michel Alexandre Salim 2009-06-12 10:35:36 EDT
mono-core currently incorrectly depends on:

mono(System.Configuration.Install) -- mono-extras
mono(System.Web) -- mono-web

which leaks into most Mono applications (banshee and f-spot in particular). Could this be looked into?
Comment 5 Paul F. Johnson 2009-06-14 11:52:01 EDT
Fixed in rawhide (2.4.2)
Comment 6 Michel Alexandre Salim 2009-08-21 15:17:43 EDT
This is *not* fixed: observe that mono-core requires mono-web; mono-web requires mono-extras; and mono-extras require mono-winforms. Ergo installing any mono application ends up pulling in mono-winforms, which has led to erroneous conclusions on Linux news sites that our Mono applications are "tainted".

$ repoquery --alldeps --whatrequires mono-winforms
mono-core-0:2.4.2.3-1.fc12.i686
mono-extras-0:2.4.2.3-1.fc12.x86_64
mono-winforms-0:2.4.2.3-1.fc12.x86_64
mono-devel-0:2.4.2.3-1.fc12.x86_64
mono-devel-0:2.4.2.3-1.fc12.i686
bytefx-data-mysql-0:2.4.2.3-1.fc12.x86_64
mono-basic-0:2.4.2-3.fc12.x86_64
mono-core-0:2.4.2.3-1.fc12.x86_64
mono-ndoc-0:1.3.1-6.fc12.x86_64
mono-tools-0:2.4.2-5.fc12.x86_64

$ repoquery --alldeps --whatrequires mono-extras
mono-extras-0:2.4.2.3-1.fc12.x86_64
mono-web-0:2.4.2.3-1.fc12.x86_64
mono-jscript-0:2.4.2.3-1.fc12.x86_64

$ repoquery --alldeps --whatrequires mono-web
mono-web-devel-0:2.4.2.3-1.fc12.x86_64
mono-core-0:2.4.2.3-1.fc12.i686
mono-web-devel-0:2.4.2.3-1.fc12.i686
mono-winforms-0:2.4.2.3-1.fc12.x86_64
muine-0:0.8.10-5.fc12.x86_64
mono-web-0:2.4.2.3-1.fc12.x86_64
mono-zeroconf-0:0.7.6-9.fc12.x86_64
blam-0:1.8.5-16.fc12.x86_64
mono-core-0:2.4.2.3-1.fc12.x86_64
mono-nunit-0:2.4.2.3-1.fc12.x86_64
Comment 7 Michel Alexandre Salim 2009-08-24 21:43:54 EDT
OK, I'm using the openSUSE spec file as a reference, and it's clear that we're dumping a lot of binaries and assemblies into -core that has no business being there at all; these in turn causes -core to depend on a lot of extra assemblies.

Biggest culprits are files that ought to be in -devel and -web.

I've cleaned up the spec a bit. Maintainers, please try and do this:
- whenever making major changes, refer to openSUSE spec
- keep file listing grouped firstly by category e.g.
    %{_bindir} wrappers, GACs, manpages, config files
- within these categories, sort alphabetically. Makes it *much* easier to see
  if something is missing or out of place.

There's now a new subpackage, -wcf, for the Windows Communication Framework.

I'll commit and build a definitive Rawhide build once I've bug-tested the scratch build; please do an update before working on it afterwards.

Any thought whether we should push 2.4.2.3 to F-11 as well? It's currently on 2.4. If 2.4.2.3 would require packages to be recompiled (anyone knows), then we'd have to wait until Toshio's ppc64 rebuild has landed.
Comment 8 Michel Alexandre Salim 2009-08-25 03:25:40 EDT
Built locally and tested; the only thing I cannot break is the tight coupling between mono-web and mono-winforms, which unfortunately does mean that mono-winforms get pulled in by most of our network-enabled Mono apps (F-Spot, Banshee). But it's good enough to yield substantial disk space savings -- I'll blog about it tomorrow.

Currently building on Rawhide. Setting this to ON_QA until we decide what to do for F-11.
Comment 9 Michel Alexandre Salim 2009-08-25 20:09:16 EDT
From discussion in fedora-mono it looks like a rebuild would be safe for F-11, so I'm keeping this open and issue a test build after the mass rebuild.
Comment 10 Paul F. Johnson 2009-08-26 03:41:00 EDT
2.4.2.3 doesn't have (from what I can see) any changed from 2.4 except for the addition of wcf (which was missing from the 2.4.2 release). It should not affect toshio's x86_64 mass build
Comment 11 Fedora Update System 2009-09-05 19:05:10 EDT
libgdiplus-2.4.2-3.fc11,mono-2.4.2.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgdiplus-2.4.2-3.fc11,mono-2.4.2.3-2.fc11
Comment 12 Fedora Update System 2009-09-06 16:43:26 EDT
libgdiplus-2.4.2-3.fc11, mono-2.4.2.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgdiplus mono'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9368
Comment 14 Fedora Update System 2009-09-15 03:34:47 EDT
libgdiplus-2.4.2-3.fc11, mono-2.4.2.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.